Requests you can copy and run. Each one returns live data from the API.
Select the programming language you want to display the code examples in.
curl -X GET "https://api.houski.ca/properties?api_key=YOUR_API_KEY&city=hamilton&country_abbreviation=ca&heating_type_first_in=Electric,Electric furnace&page=1&property_type_eq=House&province_abbreviation=on&results_per_page=5&select=address,heating_type_first,construction_year,interior_sq_m,estimate_monthly_heat_cost,demographic_income_median_pre_tax,estimate_list_price"
const houski_recipe_data = async (): Promise<PropertiesResponse> => {
// You must copy the PropertiesResponse type declarations from the
// Houski API documentation to strongly type the response
const url = new URL('https://api.houski.ca/properties');
url.searchParams.set('api_key', 'YOUR_API_KEY');
url.searchParams.set('city', 'hamilton');
url.searchParams.set('country_abbreviation', 'ca');
url.searchParams.set('heating_type_first_in', 'Electric,Electric furnace');
url.searchParams.set('page', '1');
url.searchParams.set('property_type_eq', 'House');
url.searchParams.set('province_abbreviation', 'on');
url.searchParams.set('results_per_page', '5');
url.searchParams.set('select', 'address,heating_type_first,construction_year,interior_sq_m,estimate_monthly_heat_cost,demographic_income_median_pre_tax,estimate_list_price');
const response = await fetch(url);
const data = await response.json();
return data;
}
(async () => {
let data: PropertiesResponse = await houski_recipe_data();
// Log the response
console.log(data);
})();
{
"cache_hit": true,
"cost_cents": 3.1,
"data": [
{
"address": "24 Lamb Court",
"construction_year": 1998,
"demographic_income_median_pre_tax": 114539,
"estimate_list_price": 637111,
"estimate_monthly_heat_cost": 108,
"heating_type_first": "Electric",
"interior_sq_m": 133.96507,
"property_id": "750a1f6e8a1bf25f"
},
{
"address": "289 Wilson Street",
"construction_year": 1985,
"demographic_income_median_pre_tax": 71375,
"estimate_list_price": 426412,
"estimate_monthly_heat_cost": 109,
"heating_type_first": "Electric furnace",
"interior_sq_m": 74.69342,
"property_id": "147d0891bc9cb4f2"
},
{
"address": "1 155 Wentworth Street N",
"construction_year": 1900,
"demographic_income_median_pre_tax": 84397,
"estimate_list_price": 436502,
"estimate_monthly_heat_cost": 108,
"heating_type_first": "Electric",
"interior_sq_m": 176.97882,
"property_id": "1bbc63253f7d45c5"
},
{
"address": "29 Ashley Street",
"construction_year": 1900,
"demographic_income_median_pre_tax": 68964,
"estimate_list_price": 458204,
"estimate_monthly_heat_cost": 108,
"heating_type_first": "Electric furnace",
"interior_sq_m": 102.099594,
"property_id": "464851583e973ee"
},
{
"address": "332 E Avenue N",
"construction_year": 1900,
"demographic_income_median_pre_tax": 72340,
"estimate_list_price": 330836,
"estimate_monthly_heat_cost": 106,
"heating_type_first": "Electric",
"interior_sq_m": 69.397995,
"property_id": "5b5a81a7b7c6e50b"
}
],
"error": "",
"pagination": {
"current_page": 1,
"has_next_page": true,
"has_previous_page": false,
"page_total": 113
},
"price_quote": false,
"result_total": 565,
"time_ms": 776,
"ui_info": {
"city": "Hamilton",
"city_id": "46981c1b562b4fdc",
"city_link": "ca/on/hamilton",
"city_slug": "hamilton",
"country": "Canada",
"country_abbreviation": "CA",
"country_abbreviation_id": "9ace2b6431b7f1be",
"country_abbreviation_link": "ca",
"country_slug": "canada",
"province": "Ontario",
"province_abbreviation": "ON",
"province_abbreviation_id": "146699ee774499d3",
"province_abbreviation_link": "ca/on",
"province_slug": "ontario"
}
}